Page MenuHomePhabricator

Anon Edit warning screen has UI bugs [design debt]
Closed, ResolvedPublic1 Story Points

Description

Anonymous editing warning screen has UI bugs

  • Message is sticking the edges of the screen
  • buttons sticking together

Proposal
- Improve the message to reflect the warning in a better way.
- use "warning" icon which has better recall

  • Adding correct paddings around message and buttons
  • Include benefit of logging in or creating account near the call to actions.

Mock
Before

After

Zeplin spec https://zpl.io/Z1eCptk

Event Timeline

Nirzar created this task.May 6 2017, 12:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2017, 12:35 AM
ovasileva triaged this task as Normal priority.May 8 2017, 9:10 AM

Looks ready to go to me.

How would mocks look on tablet?

Jdlrobson moved this task from Upcoming to Needs Analysis on the Readers-Web-Backlog board.EditedMay 30 2017, 5:10 PM
Jdlrobson added a subscriber: Volker_E.

On top of Baha's question above, another look shows that the editor is using the warningbox class.
@Volker_E I'd argue we should style all warningboxes consistently across desktop/mobile - can we change these everywhere.
Also why are some warning boxes yellow and others gray?

Nirzar updated the task description. (Show Details)Jun 29 2017, 10:03 PM
Nirzar changed the task status from Stalled to Open.
Nirzar moved this task from To Triage to Triaged but Future on the Readers-Web-Backlog board.

Since this is blocked on T166915 (in tracking), do we want to remove it from upcoming?

@Niedzielski yes that makes sense.

Nirzar added a comment.EditedAug 18 2017, 4:43 PM

It is not blocked on T166915 as I had de-scoped it for the same reason. this is about the paddings between the message and buttons.

Niedzielski set the point value for this task to 1.Aug 22 2017, 4:53 PM

Change 374408 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Add spacing to anonymous editing message

https://gerrit.wikimedia.org/r/374408

Change 374412 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Show CTA at bottom of anonymous editor warning

https://gerrit.wikimedia.org/r/374412

Change 374408 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add spacing to anonymous editing message

https://gerrit.wikimedia.org/r/374408

Change 374412 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Show CTA at bottom of anonymous editor warning

https://gerrit.wikimedia.org/r/374412

please sign off!

Nirzar closed this task as Resolved.Aug 29 2017, 3:14 PM

Macro votecat: looks  good